tools:
  php_code_sniffer:
    config:
      standard: WordPress
  sensiolabs_security_checker: true
  external_code_coverage:
    timeout: 2500
checks:
  php:
    avoid_closing_tag: false
    avoid_superglobals: false
    coding_standard:
      name: WordPress
    no_exit: false
    no_global_keyword: false
    one_class_per_file: false
    psr2_class_declaration: false
    psr2_control_structure_declaration: false
    psr2_switch_declaration: false
    variable_existence: false
    verify_access_scope_valid: false
    verify_argument_usable_as_reference: false
    verify_property_names: false
filter:
  excluded_paths:
    - includes/
    - tests/
    - assets/js/*.min.js
    - vendor/